Subject: Re: bug#20733: coreutils build problem

From: Michael Felt <[email-masked]>
Date: Sat, 6 Jun 2015 04:54:02 +0200

I assume the error is mine, but I do not understand what.

After automake and autoconf (just to be sure) make wants to call "missing",
but that does not succeed.

CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh
/data/prj/gnu/coreutils/coreutils-8.23.211-b1d1a/build-aux/missing
aclocal-1.15 -I m4
aclocal-1.15: error: echo failed with exit status: 1
make: *** [aclocal.m4] Error 1
root@x064:[/data/prj/gnu/coreutils/coreutils-8.23.211-b1d1a]1d1a/build-aux/missing
aclocal-1.15 -I m4           <
aclocal-1.15: error: echo failed with exit status: 1

ran by hand - as /bin/sh -x ...

root@x064:[/data/prj/gnu/coreutils/coreutils-8.23.211-b1d1a]/bin/sh -x
/data/prj/gnu/coreutils/coreutils-8.23.21>
+ scriptversion=2013-10-28.13
+ test 3 -eq 0
+ aclocal-1.15 -I m4
aclocal-1.15: error: echo failed with exit status: 1
+ st=1
+ test 1 -eq 0
+ test 1 -eq 63
+ test 1 -eq 127
+ exit 1

On Fri, Jun 5, 2015 at 11:34 PM, Pádraig Brady <[email-masked]> wrote:

> On 05/06/15 20:27, Eric Blake wrote:
> > On 06/05/2015 11:53 AM, Pádraig Brady wrote:
> >> On 05/06/15 17:02, Michael Felt wrote:
> >>>> Attribute "constructor" is not supported
> >>
> >> Does the attached patch help?
> >>
> >
> >> +++ b/configure.ac
> >> @@ -455,7 +455,11 @@ if test $gl_cv_list_mounted_fs = yes && test
> $gl_cv_fs_space = yes; then
> >>  fi
> >>
> >>  AC_MSG_CHECKING([whether this is system supports stdbuf])
> >> -AC_COMPILE_IFELSE(
> >> +ac_save_CFLAGS="$CFLAGS"
> >> +# Build with -Werror to detect warnings about
> >> +# about ignored "constructor" arguments.
> >> +CFLAGS="$CFLAGS -Werror"
> >
> > -Werror works for gcc and some other compilers like clang, but is not
> > universal to all compilers.  Are you sure that it is the right flag to
> > be adding for the duration of this test?
>
> Yes good point.
>
> Also it's best only worry about warnings when cross compiling,
> as otherwise we're using a direct runtime check.
> Updated patch is attached.
>
> thanks,
> Pádraig.
>